Package: org.apache.groovy.contracts.generation

## [Java] Class TryCatchBlockGenerator

- org.apache.groovy.contracts.generation.TryCatchBlockGenerator

-     public class TryCatchBlockGenerator
      extends Object

  Creates a try-catch block around a given AssertStatement and catches a PowerAssertionError to reuse the generated visual output.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static BlockStatement` | `generateTryCatchBlock(ClassNode assertionErrorClass, String message, Statement assertStatement)`
    `` | `public static BlockStatement` | `generateTryCatchBlockForInlineMode(ClassNode assertionErrorClass, String message, Statement assertStatement)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static BlockStatement generateTryCatchBlock(ClassNode assertionErrorClass, String message, Statement assertStatement)

    - #### public static BlockStatement generateTryCatchBlockForInlineMode(ClassNode assertionErrorClass, String message, Statement assertStatement)